/*
 * Copyright 2022 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.outlined

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.ImageVector

public val Icons.Outlined.PanToolAlt: ImageVector
    get() {
        if (_panToolAlt != null) {
            return _panToolAlt!!
        }
        _panToolAlt = materialIcon(name = "Outlined.PanToolAlt") {
            materialPath {
                moveTo(18.89f, 11.77f)
                lineToRelative(-3.8f, -1.67f)
                curveTo(14.96f, 10.04f, 14.81f, 10.0f, 14.65f, 10.0f)
                horizontalLineTo(14.0f)
                verticalLineTo(5.5f)
                curveTo(14.0f, 4.12f, 12.88f, 3.0f, 11.5f, 3.0f)
                reflectiveCurveTo(9.0f, 4.12f, 9.0f, 5.5f)
                verticalLineToRelative(8.15f)
                lineToRelative(-1.87f, -0.4f)
                curveToRelative(-0.19f, -0.03f, -1.02f, -0.15f, -1.73f, 0.56f)
                lineTo(4.0f, 15.22f)
                lineToRelative(5.12f, 5.19f)
                curveTo(9.49f, 20.79f, 10.0f, 21.0f, 10.53f, 21.0f)
                horizontalLineToRelative(6.55f)
                curveToRelative(0.98f, 0.0f, 1.81f, -0.7f, 1.97f, -1.67f)
                lineToRelative(0.92f, -5.44f)
                curveTo(20.12f, 13.03f, 19.68f, 12.17f, 18.89f, 11.77f)
                close()
                moveTo(17.08f, 19.0f)
                horizontalLineToRelative(-6.55f)
                lineToRelative(-3.7f, -3.78f)
                lineTo(11.0f, 16.11f)
                verticalLineTo(5.5f)
                curveTo(11.0f, 5.22f, 11.22f, 5.0f, 11.5f, 5.0f)
                reflectiveCurveTo(12.0f, 5.22f, 12.0f, 5.5f)
                verticalLineToRelative(6.18f)
                horizontalLineToRelative(1.76f)
                lineTo(18.0f, 13.56f)
                lineTo(17.08f, 19.0f)
                close()
            }
        }
        return _panToolAlt!!
    }

private var _panToolAlt: ImageVector? = null
