/*
 * Copyright 2022 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.outlined

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.ImageVector

public val Icons.Outlined.RepeatOneOn: ImageVector
    get() {
        if (_repeatOneOn != null) {
            return _repeatOneOn!!
        }
        _repeatOneOn = materialIcon(name = "Outlined.RepeatOneOn") {
            materialPath {
                moveTo(21.0f, 1.0f)
                horizontalLineTo(3.0f)
                curveTo(1.9f, 1.0f, 1.0f, 1.9f, 1.0f, 3.0f)
                verticalLineToRelative(18.0f)
                curveToRelative(0.0f, 1.1f, 0.9f, 2.0f, 2.0f, 2.0f)
                horizontalLineToRelative(18.0f)
                curveToRelative(1.1f, 0.0f, 2.0f, -0.9f, 2.0f, -2.0f)
                verticalLineTo(3.0f)
                curveTo(23.0f, 1.9f, 22.1f, 1.0f, 21.0f, 1.0f)
                close()
                moveTo(19.0f, 19.0f)
                horizontalLineTo(6.83f)
                lineToRelative(1.58f, 1.58f)
                lineTo(7.0f, 22.0f)
                lineToRelative(-4.0f, -4.0f)
                lineToRelative(4.0f, -4.0f)
                lineToRelative(1.41f, 1.42f)
                lineTo(6.83f, 17.0f)
                horizontalLineTo(17.0f)
                verticalLineToRelative(-4.0f)
                horizontalLineToRelative(2.0f)
                verticalLineTo(19.0f)
                close()
                moveTo(10.0f, 10.5f)
                verticalLineTo(9.0f)
                horizontalLineToRelative(3.0f)
                verticalLineToRelative(6.0f)
                horizontalLineToRelative(-1.5f)
                verticalLineToRelative(-4.5f)
                horizontalLineTo(10.0f)
                close()
                moveTo(17.0f, 10.0f)
                lineToRelative(-1.41f, -1.42f)
                lineTo(17.17f, 7.0f)
                horizontalLineTo(7.0f)
                verticalLineToRelative(4.0f)
                horizontalLineTo(5.0f)
                verticalLineTo(5.0f)
                horizontalLineToRelative(12.17f)
                lineToRelative(-1.58f, -1.58f)
                lineTo(17.0f, 2.0f)
                lineToRelative(4.0f, 4.0f)
                lineTo(17.0f, 10.0f)
                close()
            }
        }
        return _repeatOneOn!!
    }

private var _repeatOneOn: ImageVector? = null
