/*
 * Copyright 2022 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.sharp

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.ImageVector

public val Icons.Sharp.RollerShades: ImageVector
    get() {
        if (_rollerShades != null) {
            return _rollerShades!!
        }
        _rollerShades = materialIcon(name = "Sharp.RollerShades") {
            materialPath {
                moveTo(20.0f, 19.0f)
                verticalLineTo(3.0f)
                horizontalLineTo(4.0f)
                verticalLineToRelative(16.0f)
                horizontalLineTo(2.0f)
                verticalLineToRelative(2.0f)
                horizontalLineToRelative(20.0f)
                verticalLineToRelative(-2.0f)
                horizontalLineTo(20.0f)
                close()
                moveTo(6.0f, 19.0f)
                verticalLineToRelative(-6.0f)
                horizontalLineToRelative(5.0f)
                verticalLineToRelative(1.8f)
                curveToRelative(-0.4f, 0.3f, -0.8f, 0.8f, -0.8f, 1.4f)
                curveToRelative(0.0f, 1.0f, 0.8f, 1.8f, 1.8f, 1.8f)
                reflectiveCurveToRelative(1.8f, -0.8f, 1.8f, -1.8f)
                curveToRelative(0.0f, -0.6f, -0.3f, -1.1f, -0.8f, -1.4f)
                verticalLineTo(13.0f)
                horizontalLineToRelative(5.0f)
                verticalLineToRelative(6.0f)
                horizontalLineTo(6.0f)
                close()
            }
        }
        return _rollerShades!!
    }

private var _rollerShades: ImageVector? = null
